## CamelVeeSummary

CamelVeeSummary

## Functions

CamelFolderSummary * | camel_vee_summary_new ()
CamelVeeMessageInfo * | camel_vee_summary_add ()
void | camel_vee_summary_remove ()
void | camel_vee_summary_replace_flags ()
GHashTable * | camel_vee_summary_get_uids_for_subfolder ()

## Object Hierarchy

        GObject
        ╰── CamelFolderSummary
            ╰── CamelVeeSummary

## Description

## Functions

### camel_vee_summary_new ()

    CamelFolderSummary *
    camel_vee_summary_new (CamelFolder *parent);

This will create a new CamelVeeSummary object and read in the summary data from disk, if it exists.

#### Parameters

parent | Folder its attached to. |

#### Returns

A new CamelVeeSummary object.

### camel_vee_summary_add ()

    CamelVeeMessageInfo *
    camel_vee_summary_add (CamelVeeSummary *summary,
                           struct _CamelVeeMessageInfoData *mi_data);

Unref returned pointer with `g_object_unref()`

#### Parameters

summary | the CamelVeeSummary |
mi_data | the CamelVeeMessageInfoData to add. | [type CamelVeeMessageInfoData]

#### Returns

A new CamelVeeMessageInfo object.

[transfer full]

### camel_vee_summary_remove ()

    void
    camel_vee_summary_remove (CamelVeeSummary *summary,
                              const gchar *vuid,
                              CamelFolder *subfolder);

Removes the given `vuid` of the `subfolder` from the `summary` .

#### Parameters

summary | a CamelVeeSummary |
vuid | a virtual message info UID to remove |
subfolder | a CamelFolder to which `vuid` belongs |

Since: 3.6

### camel_vee_summary_replace_flags ()

    void
    camel_vee_summary_replace_flags (CamelVeeSummary *summary,
                                     const gchar *uid);

Makes sure `summary` flags on `uid` corresponds to those in the subfolder of vee-folder, and updates internal counts on `summary` as well.

#### Parameters

summary | a CamelVeeSummary |
uid | a message UID to update flags for |

Since: 3.6

### camel_vee_summary_get_uids_for_subfolder ()

    GHashTable *
    camel_vee_summary_get_uids_for_subfolder
                                   (CamelVeeSummary *summary,
                                    CamelFolder *subfolder);

Returns a hash table of all virtual message info UID-s known to the `summary` . The key of the hash table is the virtual message info UID, the value is only the number 1.

#### Parameters

summary | a CamelVeeSummary |
subfolder | a CamelFolder |

#### Returns

a GHashTable with all the virtual mesasge info UID-s knwn to the `summary` .

[element-type utf8 gint][transfer container]

Since: 3.6